Create-Beneficiary-GBP
curl --request POST \
--url https://flickopenapi.co/merchant/save-beneficiary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_no": "0444444044",
"routing": "122334",
"beneficiary_name": "Kingsley",
"is_individual": true,
"recipient_firstname": "Kingsley",
"recipient_lastname": "Kingsley",
"beneficiary_country": "united kingdom",
"bank_name": "wise",
"is_domiciliary": true,
"bank_country": "united kingdom",
"countrycode": "GB",
"transfer_type": "fps",
"recipient_kyc": {
"type": "pasport",
"number": "B50023989",
"issuedCountryCode": "NG",
"issuedBy": "Ministry of Interior",
"issuedDate": "2020-01-28",
"expirationDate": "2030-01-27",
"birthDate": "1989-10-24"
}
}
'import requests
url = "https://flickopenapi.co/merchant/save-beneficiary"
payload = {
"account_no": "0444444044",
"routing": "122334",
"beneficiary_name": "Kingsley",
"is_individual": True,
"recipient_firstname": "Kingsley",
"recipient_lastname": "Kingsley",
"beneficiary_country": "united kingdom",
"bank_name": "wise",
"is_domiciliary": True,
"bank_country": "united kingdom",
"countrycode": "GB",
"transfer_type": "fps",
"recipient_kyc": {
"type": "pasport",
"number": "B50023989",
"issuedCountryCode": "NG",
"issuedBy": "Ministry of Interior",
"issuedDate": "2020-01-28",
"expirationDate": "2030-01-27",
"birthDate": "1989-10-24"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_no: '0444444044',
routing: '122334',
beneficiary_name: 'Kingsley',
is_individual: true,
recipient_firstname: 'Kingsley',
recipient_lastname: 'Kingsley',
beneficiary_country: 'united kingdom',
bank_name: 'wise',
is_domiciliary: true,
bank_country: 'united kingdom',
countrycode: 'GB',
transfer_type: 'fps',
recipient_kyc: {
type: 'pasport',
number: 'B50023989',
issuedCountryCode: 'NG',
issuedBy: 'Ministry of Interior',
issuedDate: '2020-01-28',
expirationDate: '2030-01-27',
birthDate: '1989-10-24'
}
})
};
fetch('https://flickopenapi.co/merchant/save-beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/save-beneficiary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_no' => '0444444044',
'routing' => '122334',
'beneficiary_name' => 'Kingsley',
'is_individual' => true,
'recipient_firstname' => 'Kingsley',
'recipient_lastname' => 'Kingsley',
'beneficiary_country' => 'united kingdom',
'bank_name' => 'wise',
'is_domiciliary' => true,
'bank_country' => 'united kingdom',
'countrycode' => 'GB',
'transfer_type' => 'fps',
'recipient_kyc' => [
'type' => 'pasport',
'number' => 'B50023989',
'issuedCountryCode' => 'NG',
'issuedBy' => 'Ministry of Interior',
'issuedDate' => '2020-01-28',
'expirationDate' => '2030-01-27',
'birthDate' => '1989-10-24'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/save-beneficiary"
payload := strings.NewReader("{\n \"account_no\": \"0444444044\",\n \"routing\": \"122334\",\n \"beneficiary_name\": \"Kingsley\",\n \"is_individual\": true,\n \"recipient_firstname\": \"Kingsley\",\n \"recipient_lastname\": \"Kingsley\",\n \"beneficiary_country\": \"united kingdom\",\n \"bank_name\": \"wise\",\n \"is_domiciliary\": true,\n \"bank_country\": \"united kingdom\",\n \"countrycode\": \"GB\",\n \"transfer_type\": \"fps\",\n \"recipient_kyc\": {\n \"type\": \"pasport\",\n \"number\": \"B50023989\",\n \"issuedCountryCode\": \"NG\",\n \"issuedBy\": \"Ministry of Interior\",\n \"issuedDate\": \"2020-01-28\",\n \"expirationDate\": \"2030-01-27\",\n \"birthDate\": \"1989-10-24\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/save-beneficiary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_no\": \"0444444044\",\n \"routing\": \"122334\",\n \"beneficiary_name\": \"Kingsley\",\n \"is_individual\": true,\n \"recipient_firstname\": \"Kingsley\",\n \"recipient_lastname\": \"Kingsley\",\n \"beneficiary_country\": \"united kingdom\",\n \"bank_name\": \"wise\",\n \"is_domiciliary\": true,\n \"bank_country\": \"united kingdom\",\n \"countrycode\": \"GB\",\n \"transfer_type\": \"fps\",\n \"recipient_kyc\": {\n \"type\": \"pasport\",\n \"number\": \"B50023989\",\n \"issuedCountryCode\": \"NG\",\n \"issuedBy\": \"Ministry of Interior\",\n \"issuedDate\": \"2020-01-28\",\n \"expirationDate\": \"2030-01-27\",\n \"birthDate\": \"1989-10-24\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/save-beneficiary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_no\": \"0444444044\",\n \"routing\": \"122334\",\n \"beneficiary_name\": \"Kingsley\",\n \"is_individual\": true,\n \"recipient_firstname\": \"Kingsley\",\n \"recipient_lastname\": \"Kingsley\",\n \"beneficiary_country\": \"united kingdom\",\n \"bank_name\": \"wise\",\n \"is_domiciliary\": true,\n \"bank_country\": \"united kingdom\",\n \"countrycode\": \"GB\",\n \"transfer_type\": \"fps\",\n \"recipient_kyc\": {\n \"type\": \"pasport\",\n \"number\": \"B50023989\",\n \"issuedCountryCode\": \"NG\",\n \"issuedBy\": \"Ministry of Interior\",\n \"issuedDate\": \"2020-01-28\",\n \"expirationDate\": \"2030-01-27\",\n \"birthDate\": \"1989-10-24\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "Beneficiary was saved successfully",
"status": "200",
"data": {
"beneficiary_id": "ldodjjfni"
}
}API Reference
Create-Beneficiary-GBP
Inititate a Save-Beneficiary
POST
/
merchant
/
save-beneficiary
Create-Beneficiary-GBP
curl --request POST \
--url https://flickopenapi.co/merchant/save-beneficiary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_no": "0444444044",
"routing": "122334",
"beneficiary_name": "Kingsley",
"is_individual": true,
"recipient_firstname": "Kingsley",
"recipient_lastname": "Kingsley",
"beneficiary_country": "united kingdom",
"bank_name": "wise",
"is_domiciliary": true,
"bank_country": "united kingdom",
"countrycode": "GB",
"transfer_type": "fps",
"recipient_kyc": {
"type": "pasport",
"number": "B50023989",
"issuedCountryCode": "NG",
"issuedBy": "Ministry of Interior",
"issuedDate": "2020-01-28",
"expirationDate": "2030-01-27",
"birthDate": "1989-10-24"
}
}
'import requests
url = "https://flickopenapi.co/merchant/save-beneficiary"
payload = {
"account_no": "0444444044",
"routing": "122334",
"beneficiary_name": "Kingsley",
"is_individual": True,
"recipient_firstname": "Kingsley",
"recipient_lastname": "Kingsley",
"beneficiary_country": "united kingdom",
"bank_name": "wise",
"is_domiciliary": True,
"bank_country": "united kingdom",
"countrycode": "GB",
"transfer_type": "fps",
"recipient_kyc": {
"type": "pasport",
"number": "B50023989",
"issuedCountryCode": "NG",
"issuedBy": "Ministry of Interior",
"issuedDate": "2020-01-28",
"expirationDate": "2030-01-27",
"birthDate": "1989-10-24"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_no: '0444444044',
routing: '122334',
beneficiary_name: 'Kingsley',
is_individual: true,
recipient_firstname: 'Kingsley',
recipient_lastname: 'Kingsley',
beneficiary_country: 'united kingdom',
bank_name: 'wise',
is_domiciliary: true,
bank_country: 'united kingdom',
countrycode: 'GB',
transfer_type: 'fps',
recipient_kyc: {
type: 'pasport',
number: 'B50023989',
issuedCountryCode: 'NG',
issuedBy: 'Ministry of Interior',
issuedDate: '2020-01-28',
expirationDate: '2030-01-27',
birthDate: '1989-10-24'
}
})
};
fetch('https://flickopenapi.co/merchant/save-beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/save-beneficiary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_no' => '0444444044',
'routing' => '122334',
'beneficiary_name' => 'Kingsley',
'is_individual' => true,
'recipient_firstname' => 'Kingsley',
'recipient_lastname' => 'Kingsley',
'beneficiary_country' => 'united kingdom',
'bank_name' => 'wise',
'is_domiciliary' => true,
'bank_country' => 'united kingdom',
'countrycode' => 'GB',
'transfer_type' => 'fps',
'recipient_kyc' => [
'type' => 'pasport',
'number' => 'B50023989',
'issuedCountryCode' => 'NG',
'issuedBy' => 'Ministry of Interior',
'issuedDate' => '2020-01-28',
'expirationDate' => '2030-01-27',
'birthDate' => '1989-10-24'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/save-beneficiary"
payload := strings.NewReader("{\n \"account_no\": \"0444444044\",\n \"routing\": \"122334\",\n \"beneficiary_name\": \"Kingsley\",\n \"is_individual\": true,\n \"recipient_firstname\": \"Kingsley\",\n \"recipient_lastname\": \"Kingsley\",\n \"beneficiary_country\": \"united kingdom\",\n \"bank_name\": \"wise\",\n \"is_domiciliary\": true,\n \"bank_country\": \"united kingdom\",\n \"countrycode\": \"GB\",\n \"transfer_type\": \"fps\",\n \"recipient_kyc\": {\n \"type\": \"pasport\",\n \"number\": \"B50023989\",\n \"issuedCountryCode\": \"NG\",\n \"issuedBy\": \"Ministry of Interior\",\n \"issuedDate\": \"2020-01-28\",\n \"expirationDate\": \"2030-01-27\",\n \"birthDate\": \"1989-10-24\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/save-beneficiary")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_no\": \"0444444044\",\n \"routing\": \"122334\",\n \"beneficiary_name\": \"Kingsley\",\n \"is_individual\": true,\n \"recipient_firstname\": \"Kingsley\",\n \"recipient_lastname\": \"Kingsley\",\n \"beneficiary_country\": \"united kingdom\",\n \"bank_name\": \"wise\",\n \"is_domiciliary\": true,\n \"bank_country\": \"united kingdom\",\n \"countrycode\": \"GB\",\n \"transfer_type\": \"fps\",\n \"recipient_kyc\": {\n \"type\": \"pasport\",\n \"number\": \"B50023989\",\n \"issuedCountryCode\": \"NG\",\n \"issuedBy\": \"Ministry of Interior\",\n \"issuedDate\": \"2020-01-28\",\n \"expirationDate\": \"2030-01-27\",\n \"birthDate\": \"1989-10-24\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/save-beneficiary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_no\": \"0444444044\",\n \"routing\": \"122334\",\n \"beneficiary_name\": \"Kingsley\",\n \"is_individual\": true,\n \"recipient_firstname\": \"Kingsley\",\n \"recipient_lastname\": \"Kingsley\",\n \"beneficiary_country\": \"united kingdom\",\n \"bank_name\": \"wise\",\n \"is_domiciliary\": true,\n \"bank_country\": \"united kingdom\",\n \"countrycode\": \"GB\",\n \"transfer_type\": \"fps\",\n \"recipient_kyc\": {\n \"type\": \"pasport\",\n \"number\": \"B50023989\",\n \"issuedCountryCode\": \"NG\",\n \"issuedBy\": \"Ministry of Interior\",\n \"issuedDate\": \"2020-01-28\",\n \"expirationDate\": \"2030-01-27\",\n \"birthDate\": \"1989-10-24\"\n }\n}"
response = http.request(request)
puts response.read_body{
"message": "Beneficiary was saved successfully",
"status": "200",
"data": {
"beneficiary_id": "ldodjjfni"
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Save beneficiary
Example:
"0444444044"
Example:
"122334"
Example:
"Kingsley"
Example:
true
Example:
"Kingsley"
Example:
"Kingsley"
Example:
"united kingdom"
Example:
"wise"
Example:
true
Example:
"united kingdom"
Example:
"GB"
Example:
"fps"
Show child attributes
Show child attributes